<mat-drawer-container>
  <mat-drawer mode="over" #drawer>
    <img id="logo" src="/assets/images/logos/full.png" alt="Logo mit Namen">

    <div id="sidebar-links">
      <a routerLink="" (click)="drawer.toggle()">
        <img src="/assets/icons/home.png" alt="Home button">
        <span>Home</span>
      </a>
      <a *ngFor="let site of sites" [routerLink]="site.href" (click)="drawer.toggle()">
        <img src="{{site.icon}}" alt="icon">
        <span>{{site.label}}</span>
      </a>
    </div>
  </mat-drawer>

  <nav>
    <button mat-icon-button id="expand" (click)="drawer.toggle()"><mat-icon>menu</mat-icon></button>
    <a id="name" routerLink=""><img src="/assets/images/logos/name.png" alt="Name"></a>

    <div id="header-links">
      <a *ngFor="let site of sites" [routerLink]="site.href" [ngClass]="{'active': router.url == site.href}">{{site.label}}</a>
    </div>

    <a id="profile" routerLink="contact"><img src="/assets/images/logos/logo.jpeg" alt="Logo"></a>
  </nav>

  <div id="content">
    <ng-content></ng-content>
  </div>

</mat-drawer-container>
